require 'test_helper'

class CommentTest < ActiveSupport::TestCase
  # Replace this with your real tests.
  test "the truth" do
    assert true
  end
  
  def test_should_require_user_id
    comment = Comment.create(:user_id => nil)
    assert comment.errors.on(:user_id), "Missing User ID should add an error"
  end
  
  def test_should_require_song_id
    comment = Comment.create(:song_id => nil)
    assert comment.errors.on(:song_id), "Missing Song ID should add an error"
  end
  
  def test_should_require_content
    comment = Comment.create(:content => nil)
    assert comment.errors.on(:content), "Missing Content should add an error"
  end
end
